# Association.h File Reference

`#include "bakery/Configuration/AssociationBase.h"`
`#include <gtkmm/togglebutton.h>`
`#include <gtkmm/entry.h>`
`#include <gtkmm/range.h>`
`#include <gtkmm/spinbutton.h>`
`#include <gtkmm/combo.h>`
`#include <gtkmm/optionmenu.h>`

Go to the source code of this file.

## Namespaces

namespace | Bakery
namespace | Bakery::Conf

## Classes

class | Bakery::Conf::AssociationCreation< T_Widget >
class | Bakery::Conf::Association< T_Widget >
class | Bakery::Conf::Bakery::Conf::Association< Gtk::SpinButton >
class | Bakery::Conf::Bakery::Conf::Association< Gtk::Entry >
class | Bakery::Conf::Bakery::Conf::Association< Gtk::ToggleButton >
class | Bakery::Conf::Bakery::Conf::Association< Gtk::Range >
class | Bakery::Conf::Bakery::Conf::Association< Gtk::OptionMenu >
class | Bakery::Conf::Bakery::Conf::Association< Gtk::Combo >